# Schedule

## List

> Retrieve information about one or multiple Schedule setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"List","description":"Retrieve information about one or multiple Schedule setting.","operationId":"bc9ead5c-da0e-4b82-a3a0-ca12532677e0","parameters":[{"name":"SiteId","in":"query","description":"Site ID from which to retrieve the Schedule setting (optional).","schema":{"type":"integer","format":"int32"}},{"name":"Name","in":"query","description":"The name of the Schedule setting for which to retrieve the information. \r\n            This must be the actual Schedule setting name used in the RAS connections.","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Schedule"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Schedule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"siteID":{"type":"integer","description":"<para type=\"description\">Site ID</para>","format":"int32"},"objType":{"$ref":"#/components/schemas/ScheduleObjType"},"action":{"$ref":"#/components/schemas/ScheduleActionType"},"targetType":{"$ref":"#/components/schemas/ScheduleTargetType"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"name":{"type":"string","description":"<para type=\"description\">Name</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description</para>","nullable":true},"type":{"type":"integer","description":"<para type=\"description\">Type</para>","format":"int32","nullable":true},"targetIDs":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Target IDs</para>","nullable":true},"targetNativeHosts":{"type":"array","items":{"$ref":"#/components/schemas/TargetNativeHost"},"description":"<para type=\"description\">Target Native Hosts</para>","nullable":true},"trigger":{"$ref":"#/components/schemas/Trigger"},"options":{"$ref":"#/components/schemas/Options"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule</para>\r\n<para type=\"description\"></para>"},"ScheduleObjType":{"enum":[["44 = RDS","92 = AVD","100 = VDI"]],"type":"string","description":"<para type=\"synopsis\">Schedule Object Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleActionType":{"enum":[["0 = Disable","1 = Reboot","3 = Startup","4 = Shutdown","7 = Recreate"]],"type":"string","description":"<para type=\"synopsis\">Schedule Action Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleTargetType":{"enum":[["0 = Host","1 = HostPool"]],"type":"string","description":"<para type=\"synopsis\">Scheduler Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"TargetNativeHost":{"type":"object","properties":{"poolId":{"type":"integer","description":"<para type=\"synopsis\">Pool Id</para>\r\n<para type=\"description\"></para>","format":"int32"},"guid":{"type":"string","description":"<para type=\"synopsis\">GUID</para>\r\n<para type=\"description\"></para>","nullable":true},"guestName":{"type":"string","description":"<para type=\"synopsis\">Guest Name</para>\r\n<para type=\"description\"></para>","nullable":true},"hostAzureID":{"type":"string","description":"<para type=\"synopsis\">Host Azure ID</para>\r\n<para type=\"description\"></para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Target Native Host</para>\r\n<para type=\"description\"></para>"},"Trigger":{"type":"object","properties":{"startDateTime":{"type":"string","description":"<para type=\"description\">Start Date</para>","format":"date-time"},"endDateTime":{"type":"string","description":"<para type=\"description\">End Date</para>","format":"date-time","nullable":true},"repeat":{"$ref":"#/components/schemas/RepeatType"},"specificDays":{"$ref":"#/components/schemas/RepeatSpecificDays"},"durationInSecs":{"type":"number","description":"<para type=\"description\">Duration</para>","format":"double","nullable":true},"completeIn":{"type":"integer","description":"<para type=\"description\">Complete In</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Trigger</para>\r\n<para type=\"description\"></para>"},"RepeatType":{"enum":[["0 = Never","1 = EveryDay","2 = EveryWeek","3 = Every2Weeks","4 = EveryMonth","5 = EveryYear","6 = SpecificDays"]],"type":"string","description":"<para type=\"synopsis\">Repeat Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RepeatSpecificDays":{"enum":[["0 = Never","1 = Sunday","2 = Monday","4 = Tuesday","8 = Wednesday","16 = Thursday","32 = Friday","64 = Saturday"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Repeat Specific Days</para>\r\n<para type=\"description\"></para>","format":"int32"},"Options":{"type":"object","properties":{"poolMembersType":{"type":"integer","description":"<para type=\"description\">Pool Members Type</para>","format":"int32","nullable":true},"percentageMembers":{"type":"integer","description":"<para type=\"description\">Percentage of members</para>","format":"int32","nullable":true},"membersToStart":{"type":"integer","description":"<para type=\"description\">Specific number of members to be started</para>","format":"int32","nullable":true},"powerOnAssignedPoolMembers":{"type":"integer","description":"<para type=\"description\">Power On Assigned Pool Members</para>","format":"int32","nullable":true},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleMessage"},"description":"<para type=\"description\">Messages</para>","nullable":true},"enableDrainMode":{"type":"boolean","description":"<para type=\"description\">Enable Drain Mode</para>","nullable":true},"forceServerRebootAfter":{"type":"integer","description":"<para type=\"description\">Force server reboot after</para>","format":"int32","nullable":true},"enforceScheduleInactiveHost":{"type":"boolean","description":"<para type=\"description\">Enforce schedule for currently inactive host</para>","nullable":true},"onDisable":{"type":"boolean","description":"<para type=\"description\">On Disable</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Options</para>\r\n<para type=\"description\"></para>"},"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve information about a particular Schedule setting by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Get","description":"Retrieve information about a particular Schedule setting by ID.","operationId":"7c9a46f3-c889-4878-a83c-ed86463cfdce","parameters":[{"name":"Id","in":"path","description":"The ID of the Schedule setting for which to retrieve the information.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/Schedule"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Schedule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"siteID":{"type":"integer","description":"<para type=\"description\">Site ID</para>","format":"int32"},"objType":{"$ref":"#/components/schemas/ScheduleObjType"},"action":{"$ref":"#/components/schemas/ScheduleActionType"},"targetType":{"$ref":"#/components/schemas/ScheduleTargetType"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"name":{"type":"string","description":"<para type=\"description\">Name</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description</para>","nullable":true},"type":{"type":"integer","description":"<para type=\"description\">Type</para>","format":"int32","nullable":true},"targetIDs":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Target IDs</para>","nullable":true},"targetNativeHosts":{"type":"array","items":{"$ref":"#/components/schemas/TargetNativeHost"},"description":"<para type=\"description\">Target Native Hosts</para>","nullable":true},"trigger":{"$ref":"#/components/schemas/Trigger"},"options":{"$ref":"#/components/schemas/Options"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule</para>\r\n<para type=\"description\"></para>"},"ScheduleObjType":{"enum":[["44 = RDS","92 = AVD","100 = VDI"]],"type":"string","description":"<para type=\"synopsis\">Schedule Object Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleActionType":{"enum":[["0 = Disable","1 = Reboot","3 = Startup","4 = Shutdown","7 = Recreate"]],"type":"string","description":"<para type=\"synopsis\">Schedule Action Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleTargetType":{"enum":[["0 = Host","1 = HostPool"]],"type":"string","description":"<para type=\"synopsis\">Scheduler Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"TargetNativeHost":{"type":"object","properties":{"poolId":{"type":"integer","description":"<para type=\"synopsis\">Pool Id</para>\r\n<para type=\"description\"></para>","format":"int32"},"guid":{"type":"string","description":"<para type=\"synopsis\">GUID</para>\r\n<para type=\"description\"></para>","nullable":true},"guestName":{"type":"string","description":"<para type=\"synopsis\">Guest Name</para>\r\n<para type=\"description\"></para>","nullable":true},"hostAzureID":{"type":"string","description":"<para type=\"synopsis\">Host Azure ID</para>\r\n<para type=\"description\"></para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Target Native Host</para>\r\n<para type=\"description\"></para>"},"Trigger":{"type":"object","properties":{"startDateTime":{"type":"string","description":"<para type=\"description\">Start Date</para>","format":"date-time"},"endDateTime":{"type":"string","description":"<para type=\"description\">End Date</para>","format":"date-time","nullable":true},"repeat":{"$ref":"#/components/schemas/RepeatType"},"specificDays":{"$ref":"#/components/schemas/RepeatSpecificDays"},"durationInSecs":{"type":"number","description":"<para type=\"description\">Duration</para>","format":"double","nullable":true},"completeIn":{"type":"integer","description":"<para type=\"description\">Complete In</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Trigger</para>\r\n<para type=\"description\"></para>"},"RepeatType":{"enum":[["0 = Never","1 = EveryDay","2 = EveryWeek","3 = Every2Weeks","4 = EveryMonth","5 = EveryYear","6 = SpecificDays"]],"type":"string","description":"<para type=\"synopsis\">Repeat Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RepeatSpecificDays":{"enum":[["0 = Never","1 = Sunday","2 = Monday","4 = Tuesday","8 = Wednesday","16 = Thursday","32 = Friday","64 = Saturday"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Repeat Specific Days</para>\r\n<para type=\"description\"></para>","format":"int32"},"Options":{"type":"object","properties":{"poolMembersType":{"type":"integer","description":"<para type=\"description\">Pool Members Type</para>","format":"int32","nullable":true},"percentageMembers":{"type":"integer","description":"<para type=\"description\">Percentage of members</para>","format":"int32","nullable":true},"membersToStart":{"type":"integer","description":"<para type=\"description\">Specific number of members to be started</para>","format":"int32","nullable":true},"powerOnAssignedPoolMembers":{"type":"integer","description":"<para type=\"description\">Power On Assigned Pool Members</para>","format":"int32","nullable":true},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleMessage"},"description":"<para type=\"description\">Messages</para>","nullable":true},"enableDrainMode":{"type":"boolean","description":"<para type=\"description\">Enable Drain Mode</para>","nullable":true},"forceServerRebootAfter":{"type":"integer","description":"<para type=\"description\">Force server reboot after</para>","format":"int32","nullable":true},"enforceScheduleInactiveHost":{"type":"boolean","description":"<para type=\"description\">Enforce schedule for currently inactive host</para>","nullable":true},"onDisable":{"type":"boolean","description":"<para type=\"description\">On Disable</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Options</para>\r\n<para type=\"description\"></para>"},"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify properties of a Schedule setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}":{"put":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Update","description":"Modify properties of a Schedule setting.","operationId":"4c180769-e828-463b-8128-4f57f9f71281","parameters":[{"name":"id","in":"path","description":"The ID of the Schedule setting to modify.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Schedule settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetSchedule"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetSchedule":{"type":"object","properties":{"newName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">A new name for the scheduler job.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether to enable or disable the schedule.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Schedule description.</para>","nullable":true},"startDateTime":{"type":"string","description":"<para type=\"description\">Start time. Default: Now.</para>","format":"date-time","nullable":true},"durationInSecs":{"type":"number","description":"<para type=\"description\">Duration in seconds.</para>","format":"double","nullable":true},"repeat":{"$ref":"#/components/schemas/RepeatType"},"specificDays":{"$ref":"#/components/schemas/RepeatSpecificDays"},"completeIn":{"type":"integer","description":"<para type=\"description\">The duration of the scheduler task in seconds. Minimum: 60 seconds. Maximum: 2592000 seconds (30 days).</para>\r\n<para type=\"description\">Default: 900 seconds for disable task, 600 seconds for reboot task.</para>","format":"int32","nullable":true},"poolMembersType":{"type":"integer","description":"<para type=\"description\">Whether to select the percentage or specific number of members to be started</para>","format":"int32","nullable":true},"percentageMembers":{"type":"integer","description":"<para type=\"description\">Percentage of members to be started</para>","format":"int32","nullable":true},"membersToStart":{"type":"integer","description":"<para type=\"description\">Specific number of members to be started</para>","format":"int32","nullable":true},"powerOnAssignedPoolMembers":{"type":"integer","description":"<para type=\"description\">Power On Assigned Pool Members</para>","format":"int32","nullable":true},"enableDrainMode":{"type":"boolean","description":"<para type=\"description\">Whether to enable Drain Mode</para>","nullable":true},"forceServerRebootAfter":{"type":"integer","description":"<para type=\"description\">Force server reboot after the specified time in seconds</para>","format":"int32","nullable":true},"enforceScheduleInactiveHost":{"type":"boolean","description":"<para type=\"description\">Enforce schedule for currently inactive host</para>","nullable":true},"onDisable":{"type":"boolean","description":"<para type=\"description\">What action to take on Disable</para>","nullable":true}},"additionalProperties":false},"RepeatType":{"enum":[["0 = Never","1 = EveryDay","2 = EveryWeek","3 = Every2Weeks","4 = EveryMonth","5 = EveryYear","6 = SpecificDays"]],"type":"string","description":"<para type=\"synopsis\">Repeat Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RepeatSpecificDays":{"enum":[["0 = Never","1 = Sunday","2 = Monday","4 = Tuesday","8 = Wednesday","16 = Thursday","32 = Friday","64 = Saturday"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Repeat Specific Days</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove a Schedule setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Delete","description":"Remove a Schedule setting.","operationId":"01361812-71b9-4b12-add7-857b8f8de560","parameters":[{"name":"Id","in":"path","description":"The ID of a Schedule setting to remove.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/schedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
